Debian Bug report logs - #199810
[NONFREE-DOC:RFC] Includes non-free documentation (RFC2307)

version graph

Package: libnss-ldap; Maintainer for libnss-ldap is Debian QA Group <packages@qa.debian.org>; Source for libnss-ldap is src:libnss-ldap.

Reported by: Branden Robinson <branden@debian.org>

Date: Tue, 3 Apr 2001 20:10:13 UTC

Severity: serious

Tags: sarge-ignore

Found in version 238-1

Fixed in version libnss-ldap/251-1

Done: Stephen Frost <sfrost@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
New Bug report received and forwarded. Copy sent to Kai Henningsen <kai@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: doc-rfc: license is not DFSG-free
Date: Tue, 03 Apr 2001 15:00:17 -0500
Package: doc-rfc
Version: 2000.08-1
Severity: serious

The license on this package is pretty clearly non-free.  The doc-rfc
package is a great resource, but its license makes it unsuitable for main.

The older RFC's appear to me to be DFSG-free, since the most onerous
restrictions are described as a "courtesy":

     3. Favor or indulgence, as distinguished from right; as, a
        title given one by courtesy.

The newer ones, however, are not:

   However, this document itself may not be modified in any way, such as by
   removing the copyright notice or references to the Internet Society or
   other Internet organizations, except as needed for the purpose of
   developing Internet standards in which case the procedures for
   copyrights defined in the Internet Standards process must be followed,
   or as required to translate it into languages other than English.

The phrase "in any way," fails DFSG 3, and "for the purposes..." and the
subsequent language fails DFSG 6.

There are no other problems with the "new" license that I can see.

Perhaps only the DFSG-free RFC's could be split into a doc-rfc-nonfree
package?

Copyright:

(this is rfc-copyright-story in the rfc-editor subdirectory.)

"Hi.

The Request For Comments (RFC) documents are intended to have wide
distribution.

1.  Copying and distributing the whole RFC without any changes:

1a.  The copying and free redistribution are generally encouraged.

1b.  The inclusion of RFCs in other documents and collections that are
distributed for a fee is also encouraged, though in this case it is a
courtesy (i) to ask the RFC author and (ii) provide the RFC author
with a copy of the final document or collection.  Anyone can takes
some RFCs, put them in a book, copyright the book, and sell it.  This
in no way inhibits anyone else from doing the same thing, or inhibits
any other distribution of the RFCs.

2.  Copying and distributing the whole RFC with changes in format,
font, etcetera:

2a.  The same as case 1 with the addition that a note should be made
of the reformatting.

3.  Copying and distributing portions of an RFC:

3a.  As with any material excerpted from another source, proper credit
and citations must be provided.

4.  Translating RFCs into other languages:

4a.  Since wide distribution of RFCs is very desirable, translation
into other languages is also desirable.  The same requirements and
courtesies should be followed in distributing RFCs in translation as
would be followed when distributing RFCs in the original language.


--jon."



Newer RFCs are under the following copyright:


"Full Copyright Statement

   Copyright (C) The Internet Society (1998).  All Rights Reserved.

   This document and translations of it may be copied and furnished to
   others, and derivative works that comment on or otherwise explain it
   or assist in its implementation may be prepared, copied, published
   and distributed, in whole or in part, without restriction of any
   kind, provided that the above copyright notice and this paragraph are
   included on all such copies and derivative works.  However, this
   document itself may not be modified in any way, such as by removing
   the copyright notice or references to the Internet Society or other
   Internet organizations, except as needed for the purpose of
   developing Internet standards in which case the procedures for
   copyrights defined in the Internet Standards process must be
   followed, or as required to translate it into languages other than
   English.

   The limited permissions granted above are perpetual and will not be
   revoked by the Internet Society or its successors or assigns.

   This document and the information contained herein is provided on an
   "AS IS" basis and THE INTERNET SOCIETY AND THE INTERNET ENGINEERING
   TASK FORCE DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING
   BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE INFORMATION
   HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED WARRANTIES OF
   MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE."


-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux apocalypse 2.4.3 #1 Mon Apr 2 04:43:41 UTC 2001 i586




Reply sent to Kai Henningsen <kai@khms.westfalen.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Branden Robinson <branden@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 92810-close@bugs.debian.org (full text, mbox):

From: Kai Henningsen <kai@khms.westfalen.de>
To: 92810-close@bugs.debian.org
Subject: Bug#92810: fixed in doc-rfc 20010829-1
Date: Mon, 03 Sep 2001 14:57:39 -0400
We believe that the bug you reported is fixed in the latest version of
doc-rfc, which has been installed in the Debian FTP archive:

doc-rfc_20010829.orig.tar.gz
  to pool/main/d/doc-rfc/doc-rfc_20010829.orig.tar.gz
doc-rfc-fyi-bcp_20010829-1_all.deb
  to pool/main/d/doc-rfc/doc-rfc-fyi-bcp_20010829-1_all.deb
doc-rfc-1000-1999_20010829-1_all.deb
  to pool/main/d/doc-rfc/doc-rfc-1000-1999_20010829-1_all.deb
doc-rfc-std-proposed_20010829-1_all.deb
  to pool/main/d/doc-rfc/doc-rfc-std-proposed_20010829-1_all.deb
doc-rfc-2000-2999_20010829-1_all.deb
  to pool/main/d/doc-rfc/doc-rfc-2000-2999_20010829-1_all.deb
doc-rfc-std_20010829-1_all.deb
  to pool/main/d/doc-rfc/doc-rfc-std_20010829-1_all.deb
doc-rfc_20010829-1.dsc
  to pool/main/d/doc-rfc/doc-rfc_20010829-1.dsc
doc-rfc-3000-3999_20010829-1_all.deb
  to pool/main/d/doc-rfc/doc-rfc-3000-3999_20010829-1_all.deb
doc-rfc_20010829-1.diff.gz
  to pool/main/d/doc-rfc/doc-rfc_20010829-1.diff.gz
doc-rfc-experimental_20010829-1_all.deb
  to pool/main/d/doc-rfc/doc-rfc-experimental_20010829-1_all.deb
doc-rfc-old-std_20010829-1_all.deb
  to pool/main/d/doc-rfc/doc-rfc-old-std_20010829-1_all.deb
doc-rfc-misc_20010829-1_all.deb
  to pool/main/d/doc-rfc/doc-rfc-misc_20010829-1_all.deb
doc-rfc_20010829-1_all.deb
  to pool/main/d/doc-rfc/doc-rfc_20010829-1_all.deb
doc-rfc-0001-0999_20010829-1_all.deb
  to pool/main/d/doc-rfc/doc-rfc-0001-0999_20010829-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 92810@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kai Henningsen <kai@khms.westfalen.de> (supplier of updated doc-rfc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----

Format: 1.7
Date: Sun,  2 Sep 2001 15:29:59 +0200
Source: doc-rfc
Binary: doc-rfc-1000-1999 doc-rfc doc-rfc-fyi-bcp doc-rfc-old-std doc-rfc-std-proposed doc-rfc-std doc-rfc-experimental doc-rfc-0001-0999 doc-rfc-3000-3999 doc-rfc-2000-2999 doc-rfc-misc
Architecture: source all
Version: 20010829-1
Distribution: unstable
Urgency: low
Maintainer: Kai Henningsen <kai@debian.org>
Changed-By: Kai Henningsen <kai@khms.westfalen.de>
Description: 
 doc-rfc    - Migration Pseudo-Package
 doc-rfc-0001-0999 - Other RFCs
 doc-rfc-1000-1999 - Other RFCs
 doc-rfc-2000-2999 - Other RFCs
 doc-rfc-3000-3999 - Other RFCs
 doc-rfc-experimental - Experimental RFCs
 doc-rfc-fyi-bcp - FYI and BCP RFCs
 doc-rfc-misc - Miscellaneous RFCs
 doc-rfc-old-std - Old Standard RFCs
 doc-rfc-std - Standard RFCs
 doc-rfc-std-proposed - Proposed Standard RFCs
Closes: 92810 92910 93723 97781 100185 104002 109216
Changes: 
 doc-rfc (20010829-1) unstable; urgency=low
 .
   * New docs (closes:Bug#100185,Bug#109216)
   * moved from /usr/share/RFC to /usr/share/doc/RFC to accommodate dwww
     and dhelp (closes:Bug#97781)
   * Bug about antique package versions: (closes:Bug#104002)
   * Bogus report: Copyright is clearly DFSG-free: "This document
     and translations of it may be copied and furnished to others,
     and derivative works that comment on or otherwise explain it or
     assist in its implementation may be prepared, copied, published and
     distributed, in whole or in part, without restriction of any kind,
     provided that the above copyright notice and this paragraph are
     included on all such copies and derivative works." (closes:Bug#92810)
     Don't waste my time with nonsense, Branden!
   * new /usr/share/doc/RFC/links directory (closes:Bug#92910,Bug#93723)
Files: 
 7d5743f123082b0d8e855eaba33b3183 939 doc optional doc-rfc_20010829-1.dsc
 d6c134da2604ae124e19b6c1808b54a8 45420848 doc optional doc-rfc_20010829.orig.tar.gz
 42fd1cfe9005fbf4acd53220afe938fe 619037 doc optional doc-rfc_20010829-1.diff.gz
 fd5c28e1f603ae129116fe5939b0a5c8 4766682 doc optional doc-rfc-std_20010829-1_all.deb
 37ad6653f718e9864a77484676a2870d 1908026 doc optional doc-rfc-fyi-bcp_20010829-1_all.deb
 f31f85929c7170164c86080290c1ee79 2069680 doc optional doc-rfc-experimental_20010829-1_all.deb
 9a1459d78f22b38caa4c03ca6cff6871 9767258 doc optional doc-rfc-std-proposed_20010829-1_all.deb
 c1a6bdc0672053303d11f22ef7d90fe0 1418246 doc optional doc-rfc-misc_20010829-1_all.deb
 630cde9092eed66242bdeb792b28a4b4 5955172 doc optional doc-rfc-old-std_20010829-1_all.deb
 9aedaf32019ed80398d1312c696020cd 4237420 doc optional doc-rfc-0001-0999_20010829-1_all.deb
 0ab528273384a7cbc9e20db8ecfd86bf 10475638 doc optional doc-rfc-1000-1999_20010829-1_all.deb
 cdde17b2fa45cccb2610ea7e315c7132 6923232 doc optional doc-rfc-2000-2999_20010829-1_all.deb
 a368f48e275abebc052b61baffbbb925 737484 doc optional doc-rfc-3000-3999_20010829-1_all.deb
 99d1ea7d4fbbaad4b023c81efd8e4e5d 5310 doc optional doc-rfc_20010829-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: Weitere Infos: siehe http://www.gnupg.org

iQCVAwUBO5NaYKRYxL1Kcl8xAQHPOgP8C8j7G0QRuHbyUigEw8imir9oWY4SuLfr
Vnw5+okSx6IT6omXwYbVv009b9OUHc944bfT1t1MI1NA2UlDl+uLfPP8MlKnRjfw
05JzwAm1pliuMf30QYffm2iku7NC4VpW4lytAumfidb6pKxg2rU8vnWTPjLwEabv
jT53oZ/B414=
=Wj9j
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>. Full text and rfc822 format available.

Message #15 received at 92810@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: control@bugs.debian.org, debian-legal@lists.debian.org
Cc: 92810@bugs.debian.org
Subject: Internet Society's RFC license: DFSG-free or not?
Date: Mon, 3 Sep 2001 14:57:36 -0500
[Message part 1 (text/plain, inline)]
reopen 92810
thanks

On Mon, Sep 03, 2001 at 02:03:14PM -0500, Debian Bug Tracking System wrote:
>    * Bogus report: Copyright is clearly DFSG-free: "This document
>      and translations of it may be copied and furnished to others,
>      and derivative works that comment on or otherwise explain it or
>      assist in its implementation may be prepared, copied, published and
>      distributed, in whole or in part, without restriction of any kind,
>      provided that the above copyright notice and this paragraph are
>      included on all such copies and derivative works." (closes:Bug#92810)
>      Don't waste my time with nonsense, Branden!

Don't waste my time with your ignorance of the DFSG.  Re-read the
initial report.

The above license fails DFSG 3, since it only permits certain kinds of
derived works.  This could be construed to violate DFSG 6 as well.

  Derived Works

  The license must allow modifications and derived works, and must allow
  them to be distributed under the same terms as the license of the
  original software.

  No Discrimination Against Fields of Endeavor

  The license must not restrict anyone from making use of the program in a
  specific field of endeavor. For example, it may not restrict the program
  from being used in a business, or from being used for genetic research.

-- 
G. Branden Robinson                |    Any man who does not realize that
Debian GNU/Linux                   |    he is half an animal is only half a
branden@debian.org                 |    man.
http://people.debian.org/~branden/ |    -- Thornton Wilder
[Message part 2 (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>. Full text and rfc822 format available.

Message #22 received at 92810@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: debian-legal@lists.debian.org, 92810@bugs.debian.org
Subject: Re: Internet Society's RFC license: DFSG-free or not?
Date: 04 Sep 2001 02:05:00 -0400
It might be worth going back to Internet Society and asking if the
qualification on derivative works is intended to be operative or
informative.  Remember you are dealing with a group that uses the term
request for comments to cover anything from reports of network outages
many years ago to the Internet protocol itself.  I might be able to
make an argument that the set of things that could be a comment on an
RFC is broad enough to cover all derivative works.  Certainly, if the
copyright holder intends this interpretation the license is fine.




Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>. Full text and rfc822 format available.

Message #27 received at 92810@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: debian-legal@lists.debian.org, 92810@bugs.debian.org
Subject: Re: Internet Society's RFC license: DFSG-free or not?
Date: Tue, 4 Sep 2001 01:46:18 -0500
[Message part 1 (text/plain, inline)]
On Tue, Sep 04, 2001 at 02:05:00AM -0400, Sam Hartman wrote:
> It might be worth going back to Internet Society and asking if the
> qualification on derivative works is intended to be operative or
> informative.  Remember you are dealing with a group that uses the term
> request for comments to cover anything from reports of network outages
> many years ago to the Internet protocol itself.  I might be able to
> make an argument that the set of things that could be a comment on an
> RFC is broad enough to cover all derivative works.  Certainly, if the
> copyright holder intends this interpretation the license is fine.

I agree; if we can get an official statement to this effect from the
Internet Society that we can provide in the debian/copyright file, I'll
withdraw my objection to this license.

What I don't want to see is us accepting this license without any
additional clarification into main, and then have someone come along
with a license like this:

"You're free to copy, distribute, and create derived works of my code,
except you're not allowed to make modifications to support vi, because I
hate that editor and you should be using Emacs instead."

And pointing to our acceptance of the Internet Society's RFC license as
precedent.

[Anyone who thinks that people don't try crazy stuff like this in
software licenses hasn't read enough of them.  See, for instance,
openssl.]

-- 
G. Branden Robinson                |       Convictions are more dangerous
Debian GNU/Linux                   |       enemies of truth than lies.
branden@debian.org                 |       -- Friedrich Nietzsche
http://people.debian.org/~branden/ |
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Scott Dier <dieman@ringworld.org>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>. Full text and rfc822 format available.

Message #32 received at 92810@bugs.debian.org (full text, mbox):

From: Scott Dier <dieman@ringworld.org>
To: 92810@bugs.debian.org
Subject: doc-rfc license
Date: Fri, 9 Nov 2001 22:51:26 -0600
[Message part 1 (text/plain, inline)]
Are you (the maintainer) going to contact the IETF about this?  It would
really be nice to have this documentation in main.  If not, will you
allow someone else to so we can resolve this issue?

-- 
Scott Dier <dieman@ringworld.org> <sdier@debian.org>
http://www.ringworld.org/  #linuxos@irc.openprojects.net

Just say NO to Product Activation!
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to kaih@khms.westfalen.de (Kai Henningsen):
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>. Full text and rfc822 format available.

Message #37 received at 92810@bugs.debian.org (full text, mbox):

From: kaih@khms.westfalen.de (Kai Henningsen)
To: 92810@bugs.debian.org
Subject: Re: Bug#92810: doc-rfc license
Date: 11 Nov 2001 01:02:00 +0200
dieman@ringworld.org (Scott Dier)  wrote on 09.11.01 in <20011109225126.F6681@ringworld.org>:

> Are you (the maintainer) going to contact the IETF about this?  It would
> really be nice to have this documentation in main.  If not, will you
> allow someone else to so we can resolve this issue?

As I have already stated, as far as I am concerned, there is no issue -  
the license is clearly DFSG-free. But of course you can talk to whoever  
you want.

MfG Kai



Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Dmitry Borodaenko <d.borodaenko@sam-solutions.net>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org. Full text and rfc822 format available.

Message #42 received at 92810@bugs.debian.org (full text, mbox):

From: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>
To: 92810@bugs.debian.org
Cc: Branden Robinson <branden@debian.org>
Subject: Re: Bug#92810: doc-rfc license
Date: Fri, 1 Mar 2002 15:05:23 +0200
Each time I scan Release-critical Bugreport, this issue stops my eye.

This bus is open for 11 months already (since 03 Apr 2001), and doc-rfc
maintainer told the world that he is not going to do anything about the
issue (and that was 3.5 months ago on 11 Nov 2001). Thus, should this
bug be dropped, or should someone contact ISOC for changes in their
copyright notice?

-- 
Dmitry Borodaenko



Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to debian-legal@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org. Full text and rfc822 format available.

Message #47 received at 92810@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>
Cc: 92810@bugs.debian.org, debian-devel@lists.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#92810: doc-rfc license
Date: Fri, 1 Mar 2002 10:15:16 -0500
[Message part 1 (text/plain, inline)]
On Fri, Mar 01, 2002 at 03:05:23PM +0200, Dmitry Borodaenko wrote:
> Each time I scan Release-critical Bugreport, this issue stops my eye.
> 
> This bus is open for 11 months already (since 03 Apr 2001), and doc-rfc
> maintainer told the world that he is not going to do anything about the
> issue (and that was 3.5 months ago on 11 Nov 2001). Thus, should this
> bug be dropped, or should someone contact ISOC for changes in their
> copyright notice?

The package maintainer is apparently unable or unwilling to apply the
Debian Free Software Guidelines to his package.

From /usr/share/doc/doc-rfc/copyright:

  However, this document itself may not be modified in any way, such as
  by removing the copyright notice or references to the Internet Society
  or other Internet organizations, except as needed for the purpose of
  developing Internet standards in which case the procedures for
  copyrights defined in the Internet Standards process must be followed,
  or as required to translate it into languages other than English.

This license only allows modification if:
1) you're translating it into a language other than English; OR

2) it's for the purpose of developing Internet standards AND you are
following the procedures for copyrights defined in the Internet
Standards process.

This license fails both DFSG 3 and DFSG 6.

The package maintainer contends that "the license is clearly DFSG-free".

Well, I'm sorry, but you can't both fail the DFSG and be DFSG-free.

The non-free RFC's should either be split into their own package, or the
package dropped from the distribution.

The bug should not, IMO, be downgraded.  Packages with non-free licenses
are never (knowingly) allowed in main.

-- 
G. Branden Robinson                |     Q: How does a Unix guru have sex?
Debian GNU/Linux                   |     A: unzip;strip;touch;finger;mount;
branden@debian.org                 |        fsck;more;yes;fsck;fsck;fsck;
http://people.debian.org/~branden/ |        umount;sleep
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Dmitry Borodaenko <d.borodaenko@sam-solutions.net>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org. Full text and rfc822 format available.

Message #52 received at 92810@bugs.debian.org (full text, mbox):

From: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>
To: 92810@bugs.debian.org, debian-devel@lists.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#92810: doc-rfc license
Date: Fri, 1 Mar 2002 17:21:58 +0200
On Fri, Mar 01, 2002 at 10:14:54AM -0500, Branden Robinson wrote:
> On Fri, Mar 01, 2002 at 03:05:23PM +0200, Dmitry Borodaenko wrote:
> > This bus is open for 11 months already (since 03 Apr 2001), and
> > doc-rfc maintainer told the world that he is not going to do
> > anything about the issue (and that was 3.5 months ago on 11 Nov
> > 2001). Thus, should this bug be dropped, or should someone contact
> > ISOC for changes in their copyright notice?
> The package maintainer is apparently unable or unwilling to apply the
> Debian Free Software Guidelines to his package.
<...>
> The package maintainer contends that "the license is clearly DFSG-free".
<...>
> The bug should not, IMO, be downgraded.  Packages with non-free
> licenses are never (knowingly) allowed in main.

I agree, and this leaves us with the only option: contact ISOC about
their copyright notice, and if within reasonable time period they do not
change it to comply with DFSG, the package should be taken over (or at
least NMUed) in order to split the non-free part out of it. Am I missing
something?

-- 
Dmitry Borodaenko



Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org. Full text and rfc822 format available.

Message #57 received at 92810@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Dmitry Borodaenko <d.borodaenko@sam-solutions.net>, 92810@bugs.debian.org
Cc: Branden Robinson <branden@debian.org>
Subject: Re: Bug#92810: doc-rfc license
Date: Sun, 3 Mar 2002 00:44:57 -0500
Dmitry Borodaenko wrote:
> Each time I scan Release-critical Bugreport, this issue stops my eye.
> 
> This bus is open for 11 months already (since 03 Apr 2001), and doc-rfc
> maintainer told the world that he is not going to do anything about the
> issue (and that was 3.5 months ago on 11 Nov 2001). Thus, should this
> bug be dropped, or should someone contact ISOC for changes in their
> copyright notice?

Luckily, the package is in such generally horrendous shape, and has such
an unresponsive maintainer that it is sure to be dropped from woody.

Good riddance. 

(I looked at fixing its other bugs but they're non-trivial and then I
realized the above.)

-- 
see shy jo



Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org. Full text and rfc822 format available.

Message #62 received at 92810@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: debian-legal@lists.debian.org, 92810@bugs.debian.org
Cc: Kai Henningsen <kai@debian.org>, Kai Henningsen <kai@khms.westfalen.de>
Subject: I want doc-rfc in Woody! (license issues)
Date: Sun, 3 Mar 2002 15:28:46 +0100
Hello

I understand that the latest RFCs have a license that might probably 
be intended to, but clearly be interpreted as _not_ to comply with the DFSG.
(See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=92810&repeatmerged=yes)

If this interpretation is general consensus between the wise men of 
debian-legal then maybe the DPL should mail ISC if they change their
license or at least clarify it, as proposed in the bug report.

Anyway, as I don't like to see this package dropped from woody I propose
that the maintainer, or I (as NMU) simple re-uploads the package into
non-free. I know that then it's officially not "in Debian", too, but at least
most distributers and FTP mirrors will carry it.

bye,

 -christian-

Quoting Branden Robinson from the bug report for easier discussion:
> From /usr/share/doc/doc-rfc/copyright:
> 
>   However, this document itself may not be modified in any way, such as
>   by removing the copyright notice or references to the Internet Society
>   or other Internet organizations, except as needed for the purpose of
>   developing Internet standards in which case the procedures for
>   copyrights defined in the Internet Standards process must be followed,
>   or as required to translate it into languages other than English.
> 
> This license only allows modification if:
> 1) you're translating it into a language other than English; OR
> 
> 2) it's for the purpose of developing Internet standards AND you are
> following the procedures for copyrights defined in the Internet
> Standards process.
> 
> This license fails both DFSG 3 and DFSG 6.
> 
> The package maintainer contends that "the license is clearly DFSG-free".



-- 
Christian Hammers    WESTEND GmbH - Aachen und Dueren     Tel 0241/701333-0
ch@westend.com     Internet & Security for Professionals    Fax 0241/911879
           WESTEND ist CISCO Systems Partner - Premium Certified




Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to egonw@sci.kun.nl:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org. Full text and rfc822 format available.

Message #67 received at 92810@bugs.debian.org (full text, mbox):

From: Egon Willighagen <egonw@sci.kun.nl>
To: Christian Hammers <ch@debian.org>, debian-legal@lists.debian.org, 92810@bugs.debian.org
Cc: Kai Henningsen <kai@debian.org>, Kai Henningsen <kai@khms.westfalen.de>
Subject: Re: I want doc-rfc in Woody! (license issues)
Date: Sun, 3 Mar 2002 17:06:36 +0100
On Sunday 3 March 2002 15:28, Christian Hammers wrote:
> Hello
>
> I understand that the latest RFCs have a license that might probably
> be intended to, but clearly be interpreted as _not_ to comply with the
> DFSG. (See
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=92810&repeatmerged=yes)
>
> If this interpretation is general consensus between the wise men of
> debian-legal then maybe the DPL should mail ISC if they change their
> license or at least clarify it, as proposed in the bug report.
>
> Anyway, as I don't like to see this package dropped from woody I propose
> that the maintainer, or I (as NMU) simple re-uploads the package into
> non-free. I know that then it's officially not "in Debian", too, but at
> least most distributers and FTP mirrors will carry it.

Would indeed be strange that specifications of many protocols/etc used by many
Debian packages itself would not be part of Debian+extras.

Egon



Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@netexpress.net>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org. Full text and rfc822 format available.

Message #72 received at 92810@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@netexpress.net>
To: Christian Hammers <ch@debian.org>
Cc: debian-legal@lists.debian.org, 92810@bugs.debian.org, Kai Henningsen <kai@debian.org>, Kai Henningsen <kai@khms.westfalen.de>
Subject: Re: I want doc-rfc in Woody! (license issues)
Date: Sun, 3 Mar 2002 11:11:19 -0600
[Message part 1 (text/plain, inline)]
On Sun, Mar 03, 2002 at 03:28:46PM +0100, Christian Hammers wrote:

> I understand that the latest RFCs have a license that might probably 
> be intended to, but clearly be interpreted as _not_ to comply with the DFSG.
> (See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=92810&repeatmerged=yes)

> If this interpretation is general consensus between the wise men of 
> debian-legal then maybe the DPL should mail ISC if they change their
> license or at least clarify it, as proposed in the bug report.

I don't think this is a responsibility that can be passed off on the 
DPL.  If someone cares about this package being in main, he should mail 
the ISC himself.  Personally, I'm not too concerned; if I need an RFC, I 
type 'RFC ####' into my google search bar, which is guaranteed to be
more effective than looking for it in a static package in an OS with a
2-year release cycle.

> Anyway, as I don't like to see this package dropped from woody I propose
> that the maintainer, or I (as NMU) simple re-uploads the package into
> non-free. I know that then it's officially not "in Debian", too, but at least
> most distributers and FTP mirrors will carry it.

Given the short time left, that seems to be the only remaining option if 
people want this package in woody.  The maintainer may not care about 
the letter of the license, but others do; and it's a safe bet that this 
package will be removed from testing if the license issue is not 
resolved soon.

Steve Langasek
postmodern programmer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@sirena.org.uk>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org. Full text and rfc822 format available.

Message #77 received at 92810@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@sirena.org.uk>
To: 92810@bugs.debian.org
Subject: Also applies to many other packages
Date: Mon, 4 Mar 2002 08:23:47 +0000
[Message part 1 (text/plain, inline)]
A number of other packages also include RFCs.  If the decision is that
doc-rfc must be moved to non-free then presumably all packages that 
this should have release critical bugs filed against them asking for
the removal of problematic RFCs.

A quick scan through the contents file turned up at least these packages
(others probably exist and some of these may be false positives):

bind-doc
dhcp
dhcp-client
dhcp-relay
directory-administrator
dnswalk
hpsockd
kvirc-doc
libi18n-langtags-perl
libldap-ruby
libnet-ftpserver-perl
libnss-ldap
libsasl7
lprng-doc
openslp-doc
qpopper
qpopper-drac
vrrpd
yardradius

-- 
"You grabbed my hand and we fell into it, like a daydream - or a fever."
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Cesar Eduardo Barros <cesarb@nitnet.com.br>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>, doc-rfc@packages.qa.debian.org. Full text and rfc822 format available.

Message #82 received at 92810@bugs.debian.org (full text, mbox):

From: Cesar Eduardo Barros <cesarb@nitnet.com.br>
To: 92810@bugs.debian.org
Subject: Enough of this already
Date: Thu, 7 Mar 2002 09:12:48 -0300
The package base-files has a file with the following license:

 Everyone is permitted to copy and distribute verbatim copies
 of this document, but changing it is not allowed.

Can anybody recognize it? It's in /usr/share/common-licenses ...


(the full text is:

 Copyright (C) 1989, 1991 Free Software Foundation, Inc.
     59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 Everyone is permitted to copy and distribute verbatim copies
 of this license document, but changing it is not allowed.

so, it does not follow DFSG 3)


Let's fight over more useful things like bin-vs-sbin.

-- 
Cesar Eduardo Barros
cesarb@nitnet.com.br
cesarb@dcc.ufrj.br



Bug 92810 cloned as bug 169857. Request was from "Brian M. Carlson" <sandals@crustytoothpaste.ath.cx> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Martin Quinson <martin.quinson@tuxfamily.org>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>. Full text and rfc822 format available.

Message #89 received at 92810@bugs.debian.org (full text, mbox):

From: Martin Quinson <martin.quinson@tuxfamily.org>
To: debian-legal@lists.debian.org
Cc: 92810@bugs.debian.org
Subject: Seeking for help to resolve the RFC licencing issue
Date: Wed, 2 Jul 2003 15:04:45 +0200
[please keep the bug in CC in further discusions]

Hello,

I completely repackaged the RFCs in order to fix most of the issues in the
doc-rfc package, but there is one which I doubt I can resolve without your
help. This is #92810 (doc-rfc: license is not DFSG-free). In that bug,
Branden Robinson explain that some RFC can be considered as free, as the
only restriction is

     3. Favor or indulgence, as distinguished from right; as, a
        title given one by courtesy.

but on others, one can read:

   However, this document itself may not be modified in any way, such as by
   removing the copyright notice or references to the Internet Society or
   other Internet organizations, except as needed for the purpose of
   eveloping Internet standards in which case the procedures for
   copyrights defined in the Internet Standards process must be followed,
   or as required to translate it into languages other than English.

I'm quite puzzeled with that issue. For now, I moved my package to non-free,
but I feel this solution as temporary. I would very appreciate if people
could help me and contact the upstream author to see if they accept to
change their licence to a lesser restrictive one, so that the package can
move into main again.

FYI, my new packages are not uploaded to debian yet since I'm not DD yet and
still in discussion with several people to sponsor it. My version can be found
at: http://graal.ens-lyon.fr/~mquinson/deb.html

Thanks for your support, Mt.
	     
-- 
Je préfère glisser ma peau sous les draps pour le plaisir des sens ...
... que la risquer sous les drapeaux pour le prix de l'essence."
  -- Raymond Devos



Tags added: fixed Request was from Javier Fernandez-Sanguino Pen~a <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Kai Henningsen <kai@khms.westfalen.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Branden Robinson <branden@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #96 received at 92810-close@bugs.debian.org (full text, mbox):

From: Kai Henningsen <kai@khms.westfalen.de>
To: 92810-close@bugs.debian.org
Subject: Bug#92810: fixed in doc-rfc 20030621-1
Date: Wed, 02 Jul 2003 14:18:48 -0400
We believe that the bug you reported is fixed in the latest version of
doc-rfc, which is due to be installed in the Debian FTP archive:

doc-rfc-0001-0999_20030621-1_all.deb
  to pool/non-free/d/doc-rfc/doc-rfc-0001-0999_20030621-1_all.deb
doc-rfc-1000-1999_20030621-1_all.deb
  to pool/non-free/d/doc-rfc/doc-rfc-1000-1999_20030621-1_all.deb
doc-rfc-2000-2999_20030621-1_all.deb
  to pool/non-free/d/doc-rfc/doc-rfc-2000-2999_20030621-1_all.deb
doc-rfc-3000-3999_20030621-1_all.deb
  to pool/non-free/d/doc-rfc/doc-rfc-3000-3999_20030621-1_all.deb
doc-rfc-experimental_20030621-1_all.deb
  to pool/non-free/d/doc-rfc/doc-rfc-experimental_20030621-1_all.deb
doc-rfc-fyi-bcp_20030621-1_all.deb
  to pool/non-free/d/doc-rfc/doc-rfc-fyi-bcp_20030621-1_all.deb
doc-rfc-misc_20030621-1_all.deb
  to pool/non-free/d/doc-rfc/doc-rfc-misc_20030621-1_all.deb
doc-rfc-old-std_20030621-1_all.deb
  to pool/non-free/d/doc-rfc/doc-rfc-old-std_20030621-1_all.deb
doc-rfc-std-proposed_20030621-1_all.deb
  to pool/non-free/d/doc-rfc/doc-rfc-std-proposed_20030621-1_all.deb
doc-rfc-std_20030621-1_all.deb
  to pool/non-free/d/doc-rfc/doc-rfc-std_20030621-1_all.deb
doc-rfc_20030621-1.diff.gz
  to pool/non-free/d/doc-rfc/doc-rfc_20030621-1.diff.gz
doc-rfc_20030621-1.dsc
  to pool/non-free/d/doc-rfc/doc-rfc_20030621-1.dsc
doc-rfc_20030621-1_all.deb
  to pool/non-free/d/doc-rfc/doc-rfc_20030621-1_all.deb
doc-rfc_20030621.orig.tar.gz
  to pool/non-free/d/doc-rfc/doc-rfc_20030621.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 92810@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kai Henningsen <kai@khms.westfalen.de> (supplier of updated doc-rfc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 22 Jun 2003 19:50:11 +0200
Source: doc-rfc
Binary: doc-rfc doc-rfc-1000-1999 doc-rfc-std-proposed doc-rfc-std doc-rfc-experimental doc-rfc-old-std doc-rfc-2000-2999 doc-rfc-3000-3999 doc-rfc-fyi-bcp doc-rfc-misc doc-rfc-0001-0999
Architecture: source all
Version: 20030621-1
Distribution: unstable
Urgency: low
Maintainer: Kai Henningsen <kai@debian.org>
Changed-By: Kai Henningsen <kai@khms.westfalen.de>
Description: 
 doc-rfc    - Migration Pseudo-Package
 doc-rfc-0001-0999 - Other RFCs
 doc-rfc-1000-1999 - Other RFCs
 doc-rfc-2000-2999 - Other RFCs
 doc-rfc-3000-3999 - Other RFCs
 doc-rfc-experimental - Experimental RFCs
 doc-rfc-fyi-bcp - FYI and BCP RFCs
 doc-rfc-misc - Miscellaneous RFCs
 doc-rfc-old-std - Old Standard RFCs
 doc-rfc-std - Standard RFCs
 doc-rfc-std-proposed - Proposed Standard RFCs
Closes: 92810 111218 111788 114754 115021 119589 124559 133124 133563 134524 141149 163824 172857 172857 181884
Changes: 
 doc-rfc (20030621-1) unstable; urgency=low
 .
   * New docs (closes: #119589, #133124, #134524, #172857, #172857).
   * Spelling fix (closes: #124559).
   * Closed by NMU below (closes: #133563).
   * Switched to non-free/doc. I do believe that the arguments against it being
     free enough are bogus, but I'm tired of this fight. If someone else wants
     to clear this up, be my guest.
     Also adjusted copyright file (closes: #92810).
   * Bump Standard-Version.
   * resynced rules with a current dh-make
   * redesigned doc-base handling via /usr/lib/doc-rfc/register-doc-rfc-docs
     script
     (closes: #111218, #111788, #114754, #115021, #141149, #163824, #181884)
   * various small tweaks, such as allowing for RFC 17a
Files: 
 210791e9f779c290120da2477d746ca8 789 non-free/doc optional doc-rfc_20030621-1.dsc
 03059020522109e9a259cc9582d18576 59152564 non-free/doc optional doc-rfc_20030621.orig.tar.gz
 c9a9e5e42e7e6a003fa6db38d4c5fec9 2376063 non-free/doc optional doc-rfc_20030621-1.diff.gz
 ce6598f1c82f9610bbe9ea22ae631c84 4822652 non-free/doc optional doc-rfc-std_20030621-1_all.deb
 ebd404ba151cf8fad76b7ebce5fdcdf3 2123734 non-free/doc optional doc-rfc-fyi-bcp_20030621-1_all.deb
 ebb473112be9e1135b566cb226e4e712 2294102 non-free/doc optional doc-rfc-experimental_20030621-1_all.deb
 28db2abb9502071d489d46d143da985a 12001450 non-free/doc optional doc-rfc-std-proposed_20030621-1_all.deb
 283b4294d018c50b7b50e491acd9b0a1 3542426 non-free/doc optional doc-rfc-misc_20030621-1_all.deb
 27a873fd895fbd4a194942260546e31a 6903138 non-free/doc optional doc-rfc-old-std_20030621-1_all.deb
 00b6076c38d4b032e9ee4058cdbecb1d 12378474 non-free/doc optional doc-rfc-0001-0999_20030621-1_all.deb
 9c41cdca9ad1bd7148dabefbbe6c97cd 10392504 non-free/doc optional doc-rfc-1000-1999_20030621-1_all.deb
 2f4ea99f0732dedfe25e12b8815d8ba8 7040354 non-free/doc optional doc-rfc-2000-2999_20030621-1_all.deb
 7a8dbaa0a13f0d66b6633689d0c19505 2733192 non-free/doc optional doc-rfc-3000-3999_20030621-1_all.deb
 8019f93a5815fd497a37f7084d2178c7 6248 non-free/doc optional doc-rfc_20030621-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)

iD8DBQE+9fpnDLdORU4m0pcRAqJqAJ4yVhEjbGKKDC2vBEwCmS8nduAv8gCfW+ad
tvwH/M1ON0QL9V1ZZvC05Pk=
=7KX9
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Kai Henningsen <kai@debian.org>:
Bug#92810; Package doc-rfc. Full text and rfc822 format available.

Acknowledgement sent to Henning Makholm <henning@makholm.net>:
Extra info received and forwarded to list. Copy sent to Kai Henningsen <kai@debian.org>. Full text and rfc822 format available.

Message #101 received at 92810@bugs.debian.org (full text, mbox):

From: Henning Makholm <henning@makholm.net>
To: debian-legal@lists.debian.org, 92810@bugs.debian.org
Subject: Re: Seeking for help to resolve the RFC licencing issue
Date: 02 Jul 2003 23:17:30 +0200
Scripsit Martin Quinson <martin.quinson@tuxfamily.org>

> but on others, one can read:
> 
>    However, this document itself may not be modified in any way, such as by
>    removing the copyright notice or references to the Internet Society or
>    other Internet organizations, except as needed for the purpose of
>    eveloping Internet standards in which case the procedures for
>    copyrights defined in the Internet Standards process must be followed,

These are the standard license terms used for IETF documents, mandated
by RFC 2223, section 11. They are quite non-free.

> I'm quite puzzeled with that issue. For now, I moved my package to non-free,
> but I feel this solution as temporary. I would very appreciate if people
> could help me and contact the upstream author

It seems to be unclear whether the authors of the individual RFC's
have transfered their copyright to the Internet Society, or just
granted a non-exclusive license to distribute under the common
license. In any case, mature standards will usually have so many
individual contributors (including authors of earlier versions of the
standard) that it may not be practical to hunt them all down and get
the text relicensed.

Assuming the ISOC in fact does own the copyright (as the notice in the
RFC's usually asserts, but possibly on dubious legal grounds), the
decision to relicense them would have to be taken by someone quite
high in their hierarcy, at least the IESG. If Debian were to make a
suggestion to change the licensing to a free one, it would probably
be best if it was made by (well-known and respected) people in the
system rather than not-a-DD's like you or me.

FWIW, I have no recollection of such a request being discussed on
debian-legal in the 5 years I have been reading here. I was able to
find an official IESG statement on the reasons for their licensing
practise, at
http://www1.ietf.org/mail-archive/ietf-announce/Current/msg12205.html
and the goals explicitly mentioned there seem to be possible to meet
with a free license. However, it is unclear whether the IESG would
think that DFSG-freedom would be of any benefit for them *per se*. By
the nature of things, the RFCs get quite a wide circulation even
without being in Debian main.

-- 
Henning Makholm                    "They want to be natural, the anti-social
                                 little beasts. They just don't realize that
                         everyone's good depends on everyone's cooperation."



Bug reopened, originator not changed. Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 92810 cloned as bugs 199797, 199798. Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `doc-rfc' to `bind-doc'. Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug 199797 cloned as bugs 199801, 199802, 199803, 199804, 199805, 199806, 199807, 199808, 199809, 199810, 199811, 199812, 199813, 199814, 199815, 199816, 199817, 199818. Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `bind-doc' to `libnss-ldap'. Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge-ignore Request was from Anthony Towns <aj@azure.humbug.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Frost <sfrost@debian.org>:
Bug#199810; Package libnss-ldap. Full text and rfc822 format available.

Acknowledgement sent to Peter Marschall <peter@adpm.de>:
Extra info received and forwarded to list. Copy sent to Stephen Frost <sfrost@debian.org>. Full text and rfc822 format available.

Message #124 received at 199810@bugs.debian.org (full text, mbox):

From: Peter Marschall <peter@adpm.de>
To: Debian Bug Tracking System <199810@bugs.debian.org>
Subject: Re: #199810: solved in recent packages
Date: Thu, 31 Mar 2005 17:32:10 +0200
Package: libnss-ldap
Version: 238-1
Followup-For: Bug #199810

Hi,

This bug seems to be fixed for recent packages of libnss-ldap.
So I think it can be closed or re-tagged 'woody' only.

CU
Peter

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-k7
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages libnss-ldap depends on:
ii  debconf                     1.4.30.11    Debian configuration management sy
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an
ii  libkrb53                    1.3.6-1      MIT Kerberos runtime libraries
ii  libldap2                    2.1.30-3pm1  OpenLDAP libraries

-- debconf information excluded



Changed Bug title. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Frost <sfrost@debian.org>:
Bug#199810; Package libnss-ldap. Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Stephen Frost <sfrost@debian.org>. Full text and rfc822 format available.

Message #131 received at 199810@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
Cc: 199810@bugs.debian.org
Subject: Re: #199810: solved in recent packages
Date: Thu, 15 Jun 2006 21:53:55 +0200
[Message part 1 (text/plain, inline)]
Hello!

On Thu, 31 Mar 2005 17:32:10 +0200, Peter Marschall wrote:
> This bug seems to be fixed for recent packages of libnss-ldap.
> So I think it can be closed or re-tagged 'woody' only.

This bug is still open after it was clearly fixed at last in version
238-1:
=====
luca@gismo:~/test$ dpkg --contents libnss-ldap_186-1_i386.deb | grep rfc
-rw-r--r-- root/root     11857 2001-01-09 01:21:20 ./usr/share/doc/libnss-ldap/rfc2307.txt.gz

luca@gismo:~/test$ dpkg --contents libnss-ldap_238-1_i386.deb | grep rfc
luca@gismo:~/test$
=====

Unfortunately, the packages between woody and sarge aren't present on
http://snapshot.debian.org, so I can't walk back and found the first
version which fixes it :-(

Please close this bug :-D

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Frost <sfrost@debian.org>:
Bug#199810; Package libnss-ldap. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Stephen Frost <sfrost@debian.org>. Full text and rfc822 format available.

Message #136 received at 199810@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Luca Capello <luca@pca.it>, 199810@bugs.debian.org
Subject: Re: Bug#199810: #199810: solved in recent packages
Date: Thu, 15 Jun 2006 14:09:48 -0700
On Thu, Jun 15, 2006 at 09:53:55PM +0200, Luca Capello wrote:
> This bug is still open after it was clearly fixed at last in version
> 238-1:
> =====
> luca@gismo:~/test$ dpkg --contents libnss-ldap_186-1_i386.deb | grep rfc
> -rw-r--r-- root/root     11857 2001-01-09 01:21:20 ./usr/share/doc/libnss-ldap/rfc2307.txt.gz

> luca@gismo:~/test$ dpkg --contents libnss-ldap_238-1_i386.deb | grep rfc
> luca@gismo:~/test$
> =====


> Please close this bug :-D

The non-free contents are still present in the source package and need to be
removed before this bug can be considered fixed.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Reply sent to Stephen Frost <sfrost@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Branden Robinson <branden@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #141 received at 199810-close@bugs.debian.org (full text, mbox):

From: Stephen Frost <sfrost@debian.org>
To: 199810-close@bugs.debian.org
Subject: Bug#199810: fixed in libnss-ldap 251-1
Date: Thu, 22 Jun 2006 10:32:13 -0700
Source: libnss-ldap
Source-Version: 251-1

We believe that the bug you reported is fixed in the latest version of
libnss-ldap, which is due to be installed in the Debian FTP archive:

libnss-ldap_251-1.diff.gz
  to pool/main/libn/libnss-ldap/libnss-ldap_251-1.diff.gz
libnss-ldap_251-1.dsc
  to pool/main/libn/libnss-ldap/libnss-ldap_251-1.dsc
libnss-ldap_251-1_amd64.deb
  to pool/main/libn/libnss-ldap/libnss-ldap_251-1_amd64.deb
libnss-ldap_251.orig.tar.gz
  to pool/main/libn/libnss-ldap/libnss-ldap_251.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 199810@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Frost <sfrost@debian.org> (supplier of updated libnss-ldap package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 22 Jun 2006 10:01:07 -0400
Source: libnss-ldap
Binary: libnss-ldap
Architecture: source amd64
Version: 251-1
Distribution: unstable
Urgency: low
Maintainer: Stephen Frost <sfrost@debian.org>
Changed-By: Stephen Frost <sfrost@debian.org>
Description: 
 libnss-ldap - NSS module for using LDAP as a naming service
Closes: 199810 302391 302396 302541 302562 308490 310421 312284 312435 314461 316973 317672 323580 330911 332001 332600 335133 340633 341539 347477 352032 354093 359341 364051 366540 367766 368191 369192
Changes: 
 libnss-ldap (251-1) unstable; urgency=low
 .
   * New upstream version, Closes: #332600
   * Upstream fixes, Closes: #323580, #302391, #308490
   * Maintainer upload, Closes: #316973, #335133
   * Changed debconf 'host' question to 'uri', Closes: #312284, #359341
   * Added additional commentary to the ldap.conf, Closes: #368191, #369192
   * Enabled configurable krb5 CCNAME, Closes: #352032
   * Included Swedish, Vietnamese and Czech translations,
     Closes: #317672, #312435, #340633
   * Modified syslog() calls to use LOG_AUTHPRIV facility, Closes: #310421
   * Removed build-depend on libdb4.2-dev, Closes: #302541
   * Changed nscd restart to use invoke-rc.d, Closes: #367766
   * Changed depends to allow debconf-2.0, Closes: #332001
   * Ensure that libnss-ldap is compiled with libpthread,
     Closes: #314461, #330911, #366540, #347477
   * Changed to using upstream manpage, Closes: #302396
   * Added escaping to password handling, Closes: #341539
   * Moved ldap.secret to libnss-ldap.secret, Closes: #302562
   * Upstream removed RFC from tarball, Closes: #199810
   * Cleaned up copyright file, Closes: #364051
   * Fixed possible overflow in uid/gid handling, Closes: #354093
Files: 
 4a867275f6d8b2e6bfd9aee03693f5ab 669 net extra libnss-ldap_251-1.dsc
 a80718b3f7cf46f2579a26f9d6fbcd46 228931 net extra libnss-ldap_251.orig.tar.gz
 bc8ffc5af50888ba802e6ac4472d9db3 116590 net extra libnss-ldap_251-1.diff.gz
 d124c0982d5cdcbf8112ff5e90c8bfa7 97460 net extra libnss-ldap_251-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEmtJyrzgMPqB3kigRAoy7AJ9bOqoVL3NDNS8LLVwKf9BaXztvmwCfbMHr
OZWrNrztt39AWdEqckl1Ksk=
=Tbl5
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 13:43:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:53:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.